"use strict";
"use client";
'use strict';

var react = require('react');

function useCallbackRef(callback, deps = []) {
  const callbackRef = react.useRef(() => {
    throw new Error("Cannot call an event handler while rendering.");
  });
  react.useInsertionEffect(() => {
    callbackRef.current = callback;
  });
  return react.useCallback((...args) => callbackRef.current?.(...args), deps);
}

exports.useCallbackRef = useCallbackRef;
